"logistic.expt" <-
function (h, nreps, n=100, minx=-3, maxx=3, a=2, numgrid=401) 
{
xgrid <- seq(minx,maxx,length=numgrid)
MISE.sharp <- 0
MISE.NW <- 0
BIAS.sharp <- numeric(length(xgrid))
BIAS.NW <- numeric(length(xgrid))
for (i in 1:nreps) {
xx <- sort(runif(n,minx,maxx))
y <- rbinom(n, 1, exp(a*xx)/(1+exp(a*xx)))
 result <- NW.mono(xx, y, h, xgrid=xgrid, call.plot=FALSE)
truth <- exp(a*xgrid)/(1+exp(a*xgrid))
ISE.sharp <- ISE(truth, result$ygrid, xgrid)
 result.NW <- NW.fn(xx, y, xgrid, h)
ISE.NW <- ISE(truth, result.NW, xgrid)
MISE.sharp <- MISE.sharp + ISE.sharp
BIAS.sharp <- BIAS.sharp + result$ygrid
MISE.NW <- MISE.NW + ISE.NW
BIAS.NW <- BIAS.NW + result.NW
}
BIAS.sharp <- BIAS.sharp/nreps - truth
BIAS.NW <- BIAS.NW/nreps - truth
BIAS2.sharp <- mean(BIAS.sharp^2)*(maxx-minx)
BIAS2.NW <- mean(BIAS.NW^2)*(maxx-minx)
c(MISE.sharp = MISE.sharp/nreps, MISE.NW = MISE.NW/nreps, BIAS2.sharp = 
BIAS2.sharp, BIAS2.NW = BIAS2.NW)
}
